| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | Public Attributes | List of all members
SignatureInfomation Interface Reference
UIExtension

An interface declaration containing information related to the signature. More...

## Public Member Functions
Promise< ArrayBuffer > | sign (object setting, ArrayBuffer plainBuffer)
| The digest and sign handler, The return value is an object with file buffer and byte range. More...

## Public Attributes
CustomAppearance | custom
| The custom information of the signature.
number | defaultContentsLength
| 7942 is the default length of signature contents, in bytes. It should not be less than 4098. More...
string | distinguishName
| The distinguished name of signing. More...
string | email
| The email of the signature. More...
string | filter
| Filter of signing. More...
number | flag
| The appearance flag for signing. Please refer to Signature_Ap_Flags. More...
string | image
| (e.g. BLOB URL, HTTP, HTTPS, and Base64URL)The image for singing. More...
boolean | isKeepRatio
| Whether to keep image aspect ratio when scaling. true: scale proportionally (default). false: stretch to fit rect. More...
string | location
| The location of signing. More...
string | reason
| The reason of the signature. More...
string | signer
| The signer of the signature. More...
string | subfilter
| Subfilter of signing. More...
string | text
| The signing descriptive information. More...

## Detailed Description

An interface declaration containing information related to the signature.

Since
  9.1.0

## Member Function Documentation

## ◆ sign()

Promise<ArrayBuffer> SignatureInfomation::sign | ( | object | setting,
|  | ArrayBuffer | plainBuffer
| ) |  |
| inline

The digest and sign handler, The return value is an object with file buffer and byte range.

Parameters

  setting | object -
  plainBuffer | ArrayBuffer -

Returns
  Promise<ArrayBuffer> -

Since
  9.1.0

## Member Data Documentation

## ◆ defaultContentsLength

number SignatureInfomation::defaultContentsLength

7942 is the default length of signature contents, in bytes. It should not be less than 4098.

Since
  9.1.0

## ◆ distinguishName

string SignatureInfomation::distinguishName

The distinguished name of signing.

Since
  9.1.0

## ◆ email

string SignatureInfomation::email

The email of the signature.

Since
  9.1.0

## ◆ filter

string SignatureInfomation::filter

Filter of signing.

Since
  9.1.0

## ◆ flag

number SignatureInfomation::flag

The appearance flag for signing. Please refer to Signature_Ap_Flags.

Since
  9.1.0

## ◆ image

string SignatureInfomation::image

(e.g. BLOB URL, HTTP, HTTPS, and Base64URL)The image for singing.

Since
  9.1.0

## ◆ isKeepRatio

boolean SignatureInfomation::isKeepRatio

Whether to keep image aspect ratio when scaling. true: scale proportionally (default). false: stretch to fit rect.

Since
  11.0.1

## ◆ location

string SignatureInfomation::location

The location of signing.

Since
  9.1.0

## ◆ reason

string SignatureInfomation::reason

The reason of the signature.

Since
  9.1.0

## ◆ signer

string SignatureInfomation::signer

The signer of the signature.

Since
  9.1.0

## ◆ subfilter

string SignatureInfomation::subfilter

Subfilter of signing.

Since
  9.1.0

## ◆ text

string SignatureInfomation::text

The signing descriptive information.

Since
  9.1.0

@2026 Foxit Software Incorporated. All rights reserved.